ldns_struct_rr_descriptor Struct Reference

Contains all information about resource record types. More...

`#include <rr.h>`

## Data Fields

ldns_rr_type | _type
| Type of the RR that is described here.
const char * | _name
| Textual name of the RR type.
uint8_t | _minimum
| Minimum number of rdata fields in the RRs of this type.
uint8_t | _maximum
| Maximum number of rdata fields in the RRs of this type.
const ldns_rdf_type * | _wireformat
| Wireformat specification for the rr, i.e.
ldns_rdf_type | _variable
| Special rdf types.
ldns_rr_compress | _compress
| Specifies whether compression can be used for dnames in this RR type.
uint8_t | _dname_count
| The number of DNAMEs in the _wireformat string, for parsing.

## Detailed Description

Contains all information about resource record types.

This structure contains, for all rr types, the rdata fields that are defined.

Definition at line 358 of file rr.h.

## Field Documentation

## _type

ldns_rr_type ldns_struct_rr_descriptor::_type

Type of the RR that is described here.

Definition at line 361 of file rr.h.

## _name

const char* ldns_struct_rr_descriptor::_name

Textual name of the RR type.

Definition at line 363 of file rr.h.

## _minimum

uint8_t ldns_struct_rr_descriptor::_minimum

Minimum number of rdata fields in the RRs of this type.

Definition at line 365 of file rr.h.

## _maximum

uint8_t ldns_struct_rr_descriptor::_maximum

Maximum number of rdata fields in the RRs of this type.

Definition at line 367 of file rr.h.

## _wireformat

const ldns_rdf_type* ldns_struct_rr_descriptor::_wireformat

Wireformat specification for the rr, i.e.

the types of rdata fields in their respective order.

Definition at line 369 of file rr.h.

## _variable

ldns_rdf_type ldns_struct_rr_descriptor::_variable

Special rdf types.

Definition at line 371 of file rr.h.

## _compress

ldns_rr_compress ldns_struct_rr_descriptor::_compress

Specifies whether compression can be used for dnames in this RR type.

Definition at line 373 of file rr.h.

## _dname_count

uint8_t ldns_struct_rr_descriptor::_dname_count

The number of DNAMEs in the _wireformat string, for parsing.

Definition at line 375 of file rr.h.